import WastelandItemSheet from "./base-item-sheet.mjs"

export default class WastelandEquipementSheet extends WastelandItemSheet {
  static DEFAULT_OPTIONS = {
    classes: ["equipement"],
    position: { width: 620 },
    window: { contentClasses: ["equipement-content"] },
  }

  static PARTS = {
    main: { template: "systems/fvtt-wasteland/templates/item-equipement-sheet.hbs" },
  }

  tabGroups = { primary: "details" }

  #getTabs() {
    const tabs = {
      details: { id: "details", group: "primary", label: "Détails" },
      description: { id: "description", group: "primary", label: "Description" }
    }
    for (const v of Object.values(tabs)) {
      v.active = this.tabGroups[v.group] === v.id
      v.cssClass = v.active ? "active" : ""
    }
    return tabs
  }

  async _prepareContext() {
    const context = await super._prepareContext()
    context.tabs = this.#getTabs()
    return context
  }
}
